# Interface IStylesOptions

interface IStylesOptions {
characterStyles?: readonly ICharacterStyleOptions[];
default?: IDefaultStylesOptions;
importedStyles?: readonly (
| XmlComponent
| StyleForParagraph
| StyleForCharacter
| ImportedXmlComponent)[];
initialStyles?: BaseXmlComponent;
paragraphStyles?: readonly IParagraphStyleOptions[];
}

- Defined in file/styles/styles.ts:7

#####
Index

### Properties

characterStyles?
default?
importedStyles?
initialStyles?
paragraphStyles?

##
Properties

### `Optional` `Readonly` characterStyles

characterStyles?: readonly ICharacterStyleOptions[]

- Defined in file/styles/styles.ts:11

### `Optional` `Readonly` default

default?: IDefaultStylesOptions

- Defined in file/styles/styles.ts:8

### `Optional` `Readonly` importedStyles

importedStyles?: readonly (
| XmlComponent
| StyleForParagraph
| StyleForCharacter
| ImportedXmlComponent)[]

- Defined in file/styles/styles.ts:12

### `Optional` `Readonly` initialStyles

initialStyles?: BaseXmlComponent

- Defined in file/styles/styles.ts:9

### `Optional` `Readonly` paragraphStyles

paragraphStyles?: readonly IParagraphStyleOptions[]

- Defined in file/styles/styles.ts:10